Support multiple versions of HBase, including 0.94 and 0.96 (modularized) #146

Closed
wants to merge 1 commit into
from

Projects

None yet

2 participants

@nkeywal
nkeywal commented Oct 17, 2013

HBase 0.96 changed the names of the maven modules. The default is not change, but there is now a profile to run 0.95+:
mvn clean package -Dhbase-client -Dhbase.version=0.95.2-hadoop2

HBase 0.94 with hadoop 1 depends on slf4j v1.4.3, so I made it configurable:
mvn clean package -Dhbase.version=0.94.12 -Dhadoop.version=1.0.4 -Dslf4j-api.version=1.4.3 -DskipTests

hbase.master does not need to be configured since HBase 0.90
hbase.rootdir is a server side config.

All the defaults remain unchanged.
I've tested the settings for 0.94.12 and HBase 0.96.RC5

@westonplatter westonplatter referenced this pull request Mar 23, 2014
Closed

HBase 0.92.1 #75

@nkeywal nkeywal closed this Mar 28, 2014
@nkeywal nkeywal deleted the nkeywal:mHBase branch Mar 28, 2014
@nkeywal nkeywal restored the nkeywal:mHBase branch Mar 28, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment